import BaseItem from "./baseItem.mjs";
import {Liturgy} from "../documents/liturgy.mjs";

const {
    ArrayField,
    NumberField,
    StringField,
    HTMLField,
    SchemaField,
    DocumentIdField,
} = foundry.data.fields;

export class DeityDataModel extends BaseItem {

    static defineSchema() {
        return {
            alias: new ArrayField(new StringField()),
            description: new HTMLField(),
            miracleMinus: new ArrayField(new StringField()),
            miraclePlus: new ArrayField(new StringField()),
            karmicEnergy: new NumberField({integer: true}),
            liturgies: new SchemaField({
                rank0: new ArrayField(new StringField()),
                rank1: new ArrayField(new StringField()),
                rank2: new ArrayField(new StringField()),
                rank3: new ArrayField(new StringField()),
                rank4: new ArrayField(new StringField()),
                rank5: new ArrayField(new StringField()),
                rank6: new ArrayField(new StringField()),
                rank7: new ArrayField(new StringField()),
                rank8: new ArrayField(new StringField()),
            }),
        }
    }
}